Package com.mapd.thrift.server

## Class TResultSetBufferDescriptor

- java.lang.Object
- - com.mapd.thrift.server.TResultSetBufferDescriptor

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TResultSetBufferDescriptor>`, `org.apache.thrift.TBase<TResultSetBufferDescriptor,​TResultSetBufferDescriptor._Fields>`, `org.apache.thrift.TSerializable`

    public class TResultSetBufferDescriptor
    extends Object
    implements org.apache.thrift.TBase<TResultSetBufferDescriptor,​TResultSetBufferDescriptor._Fields>, Serializable, Cloneable, Comparable<TResultSetBufferDescriptor>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TResultSetBufferDescriptor._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`long` `bucket`
`TColSlotContext` `col_slot_context`
`List<TCountDistinctDescriptor>` `count_distinct_descriptors`
`int` `entry_count`
`boolean` `force_4byte_float`
`List<Short>` `group_col_widths`
`int` `idx_target_as_key`
`short` `key_bytewidth`
`boolean` `keyless`
`TResultSetLayout` `layout`
`long` `max_val`
`static Map<TResultSetBufferDescriptor._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`long` `min_val`
`List<Integer>` `target_groupby_indices`

### Constructor Summary

Constructors
`TResultSetBufferDescriptor()`
`TResultSetBufferDescriptor​(TResultSetBufferDescriptor other)` Performs a deep copy on other.
`TResultSetBufferDescriptor​(TResultSetLayout layout, boolean keyless, int entry_count, int idx_target_as_key, long min_val, long max_val, long bucket, List<Short> group_col_widths, short key_bytewidth, TColSlotContext col_slot_context, List<Integer> target_groupby_indices, List<TCountDistinctDescriptor> count_distinct_descriptors, boolean force_4byte_float)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToCount_distinct_descriptors​(TCountDistinctDescriptor elem)`
`void` `addToGroup_col_widths​(short elem)`
`void` `addToTarget_groupby_indices​(int elem)`
`void` `clear()`
`int` `compareTo​(TResultSetBufferDescriptor other)`
`TResultSetBufferDescriptor` `deepCopy()`
`boolean` `equals​(TResultSetBufferDescriptor that)`
`boolean` `equals​(Object that)`
`TResultSetBufferDescriptor._Fields` `fieldForId​(int fieldId)`
`long` `getBucket()`
`TColSlotContext` `getCol_slot_context()`
`List<TCountDistinctDescriptor>` `getCount_distinct_descriptors()`
`Iterator<TCountDistinctDescriptor>` `getCount_distinct_descriptorsIterator()`
`int` `getCount_distinct_descriptorsSize()`
`int` `getEntry_count()`
`Object` `getFieldValue​(TResultSetBufferDescriptor._Fields field)`
`List<Short>` `getGroup_col_widths()`
`Iterator<Short>` `getGroup_col_widthsIterator()`
`int` `getGroup_col_widthsSize()`
`int` `getIdx_target_as_key()`
`short` `getKey_bytewidth()`
`TResultSetLayout` `getLayout()`
`long` `getMax_val()`
`long` `getMin_val()`
`List<Integer>` `getTarget_groupby_indices()`
`Iterator<Integer>` `getTarget_groupby_indicesIterator()`
`int` `getTarget_groupby_indicesSize()`
`int` `hashCode()`
`boolean` `isForce_4byte_float()`
`boolean` `isKeyless()`
`boolean` `isSet​(TResultSetBufferDescriptor._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetBucket()` Returns true if field bucket is set (has been assigned a value) and false otherwise
`boolean` `isSetCol_slot_context()` Returns true if field col_slot_context is set (has been assigned a value) and false otherwise
`boolean` `isSetCount_distinct_descriptors()` Returns true if field count_distinct_descriptors is set (has been assigned a value) and false otherwise
`boolean` `isSetEntry_count()` Returns true if field entry_count is set (has been assigned a value) and false otherwise
`boolean` `isSetForce_4byte_float()` Returns true if field force_4byte_float is set (has been assigned a value) and false otherwise
`boolean` `isSetGroup_col_widths()` Returns true if field group_col_widths is set (has been assigned a value) and false otherwise
`boolean` `isSetIdx_target_as_key()` Returns true if field idx_target_as_key is set (has been assigned a value) and false otherwise
`boolean` `isSetKey_bytewidth()` Returns true if field key_bytewidth is set (has been assigned a value) and false otherwise
`boolean` `isSetKeyless()` Returns true if field keyless is set (has been assigned a value) and false otherwise
`boolean` `isSetLayout()` Returns true if field layout is set (has been assigned a value) and false otherwise
`boolean` `isSetMax_val()` Returns true if field max_val is set (has been assigned a value) and false otherwise
`boolean` `isSetMin_val()` Returns true if field min_val is set (has been assigned a value) and false otherwise
`boolean` `isSetTarget_groupby_indices()` Returns true if field target_groupby_indices is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TResultSetBufferDescriptor` `setBucket​(long bucket)`
`void` `setBucketIsSet​(boolean value)`
`TResultSetBufferDescriptor` `setCol_slot_context​(TColSlotContext col_slot_context)`
`void` `setCol_slot_contextIsSet​(boolean value)`
`TResultSetBufferDescriptor` `setCount_distinct_descriptors​(List<TCountDistinctDescriptor> count_distinct_descriptors)`
`void` `setCount_distinct_descriptorsIsSet​(boolean value)`
`TResultSetBufferDescriptor` `setEntry_count​(int entry_count)`
`void` `setEntry_countIsSet​(boolean value)`
`void` `setFieldValue​(TResultSetBufferDescriptor._Fields field, Object value)`
`TResultSetBufferDescriptor` `setForce_4byte_float​(boolean force_4byte_float)`
`void` `setForce_4byte_floatIsSet​(boolean value)`
`TResultSetBufferDescriptor` `setGroup_col_widths​(List<Short> group_col_widths)`
`void` `setGroup_col_widthsIsSet​(boolean value)`
`TResultSetBufferDescriptor` `setIdx_target_as_key​(int idx_target_as_key)`
`void` `setIdx_target_as_keyIsSet​(boolean value)`
`TResultSetBufferDescriptor` `setKey_bytewidth​(short key_bytewidth)`
`void` `setKey_bytewidthIsSet​(boolean value)`
`TResultSetBufferDescriptor` `setKeyless​(boolean keyless)`
`void` `setKeylessIsSet​(boolean value)`
`TResultSetBufferDescriptor` `setLayout​(TResultSetLayout layout)`
`void` `setLayoutIsSet​(boolean value)`
`TResultSetBufferDescriptor` `setMax_val​(long max_val)`
`void` `setMax_valIsSet​(boolean value)`
`TResultSetBufferDescriptor` `setMin_val​(long min_val)`
`void` `setMin_valIsSet​(boolean value)`
`TResultSetBufferDescriptor` `setTarget_groupby_indices​(List<Integer> target_groupby_indices)`
`void` `setTarget_groupby_indicesIsSet​(boolean value)`
`String` `toString()`
`void` `unsetBucket()`
`void` `unsetCol_slot_context()`
`void` `unsetCount_distinct_descriptors()`
`void` `unsetEntry_count()`
`void` `unsetForce_4byte_float()`
`void` `unsetGroup_col_widths()`
`void` `unsetIdx_target_as_key()`
`void` `unsetKey_bytewidth()`
`void` `unsetKeyless()`
`void` `unsetLayout()`
`void` `unsetMax_val()`
`void` `unsetMin_val()`
`void` `unsetTarget_groupby_indices()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### layout

    public TResultSetLayout layout

See Also:
  `TResultSetLayout`

#### keyless

    public boolean keyless

#### entry_count

    public int entry_count

#### idx_target_as_key

    public int idx_target_as_key

#### min_val

    public long min_val

#### max_val

    public long max_val

#### bucket

    public long bucket

#### group_col_widths

    public List<Short> group_col_widths

#### key_bytewidth

    public short key_bytewidth

#### col_slot_context

    public TColSlotContext col_slot_context

#### target_groupby_indices

    public List<Integer> target_groupby_indices

#### count_distinct_descriptors

    public List<TCountDistinctDescriptor> count_distinct_descriptors

#### force_4byte_float

    public boolean force_4byte_float

#### metaDataMap

    public static final Map<TResultSetBufferDescriptor._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TResultSetBufferDescriptor

    public TResultSetBufferDescriptor()

#### TResultSetBufferDescriptor

    public TResultSetBufferDescriptor​(TResultSetLayout layout,
                                      boolean keyless,
                                      int entry_count,
                                      int idx_target_as_key,
                                      long min_val,
                                      long max_val,
                                      long bucket,
                                      List<Short> group_col_widths,
                                      short key_bytewidth,
                                      TColSlotContext col_slot_context,
                                      List<Integer> target_groupby_indices,
                                      List<TCountDistinctDescriptor> count_distinct_descriptors,
                                      boolean force_4byte_float)

#### TResultSetBufferDescriptor

    public TResultSetBufferDescriptor​(TResultSetBufferDescriptor other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TResultSetBufferDescriptor deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TResultSetBufferDescriptor,​TResultSetBufferDescriptor._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TResultSetBufferDescriptor,​TResultSetBufferDescriptor._Fields>`

#### getLayout

    public TResultSetLayout getLayout()

See Also:
  `TResultSetLayout`

#### setLayout

    public TResultSetBufferDescriptor setLayout​(TResultSetLayout layout)

See Also:
  `TResultSetLayout`

#### unsetLayout

    public void unsetLayout()

#### isSetLayout

    public boolean isSetLayout()

Returns true if field layout is set (has been assigned a value) and false otherwise

#### setLayoutIsSet

    public void setLayoutIsSet​(boolean value)

#### isKeyless

    public boolean isKeyless()

#### setKeyless

    public TResultSetBufferDescriptor setKeyless​(boolean keyless)

#### unsetKeyless

    public void unsetKeyless()

#### isSetKeyless

    public boolean isSetKeyless()

Returns true if field keyless is set (has been assigned a value) and false otherwise

#### setKeylessIsSet

    public void setKeylessIsSet​(boolean value)

#### getEntry_count

    public int getEntry_count()

#### setEntry_count

    public TResultSetBufferDescriptor setEntry_count​(int entry_count)

#### unsetEntry_count

    public void unsetEntry_count()

#### isSetEntry_count

    public boolean isSetEntry_count()

Returns true if field entry_count is set (has been assigned a value) and false otherwise

#### setEntry_countIsSet

    public void setEntry_countIsSet​(boolean value)

#### getIdx_target_as_key

    public int getIdx_target_as_key()

#### setIdx_target_as_key

    public TResultSetBufferDescriptor setIdx_target_as_key​(int idx_target_as_key)

#### unsetIdx_target_as_key

    public void unsetIdx_target_as_key()

#### isSetIdx_target_as_key

    public boolean isSetIdx_target_as_key()

Returns true if field idx_target_as_key is set (has been assigned a value) and false otherwise

#### setIdx_target_as_keyIsSet

    public void setIdx_target_as_keyIsSet​(boolean value)

#### getMin_val

    public long getMin_val()

#### setMin_val

    public TResultSetBufferDescriptor setMin_val​(long min_val)

#### unsetMin_val

    public void unsetMin_val()

#### isSetMin_val

    public boolean isSetMin_val()

Returns true if field min_val is set (has been assigned a value) and false otherwise

#### setMin_valIsSet

    public void setMin_valIsSet​(boolean value)

#### getMax_val

    public long getMax_val()

#### setMax_val

    public TResultSetBufferDescriptor setMax_val​(long max_val)

#### unsetMax_val

    public void unsetMax_val()

#### isSetMax_val

    public boolean isSetMax_val()

Returns true if field max_val is set (has been assigned a value) and false otherwise

#### setMax_valIsSet

    public void setMax_valIsSet​(boolean value)

#### getBucket

    public long getBucket()

#### setBucket

    public TResultSetBufferDescriptor setBucket​(long bucket)

#### unsetBucket

    public void unsetBucket()

#### isSetBucket

    public boolean isSetBucket()

Returns true if field bucket is set (has been assigned a value) and false otherwise

#### setBucketIsSet

    public void setBucketIsSet​(boolean value)

#### getGroup_col_widthsSize

    public int getGroup_col_widthsSize()

#### getGroup_col_widthsIterator

    public Iterator<Short> getGroup_col_widthsIterator()

#### addToGroup_col_widths

    public void addToGroup_col_widths​(short elem)

#### getGroup_col_widths

    public List<Short> getGroup_col_widths()

#### setGroup_col_widths

    public TResultSetBufferDescriptor setGroup_col_widths​(List<Short> group_col_widths)

#### unsetGroup_col_widths

    public void unsetGroup_col_widths()

#### isSetGroup_col_widths

    public boolean isSetGroup_col_widths()

Returns true if field group_col_widths is set (has been assigned a value) and false otherwise

#### setGroup_col_widthsIsSet

    public void setGroup_col_widthsIsSet​(boolean value)

#### getKey_bytewidth

    public short getKey_bytewidth()

#### setKey_bytewidth

    public TResultSetBufferDescriptor setKey_bytewidth​(short key_bytewidth)

#### unsetKey_bytewidth

    public void unsetKey_bytewidth()

#### isSetKey_bytewidth

    public boolean isSetKey_bytewidth()

Returns true if field key_bytewidth is set (has been assigned a value) and false otherwise

#### setKey_bytewidthIsSet

    public void setKey_bytewidthIsSet​(boolean value)

#### getCol_slot_context

    public TColSlotContext getCol_slot_context()

#### setCol_slot_context

    public TResultSetBufferDescriptor setCol_slot_context​(TColSlotContext col_slot_context)

#### unsetCol_slot_context

    public void unsetCol_slot_context()

#### isSetCol_slot_context

    public boolean isSetCol_slot_context()

Returns true if field col_slot_context is set (has been assigned a value) and false otherwise

#### setCol_slot_contextIsSet

    public void setCol_slot_contextIsSet​(boolean value)

#### getTarget_groupby_indicesSize

    public int getTarget_groupby_indicesSize()

#### getTarget_groupby_indicesIterator

    public Iterator<Integer> getTarget_groupby_indicesIterator()

#### addToTarget_groupby_indices

    public void addToTarget_groupby_indices​(int elem)

#### getTarget_groupby_indices

    public List<Integer> getTarget_groupby_indices()

#### setTarget_groupby_indices

    public TResultSetBufferDescriptor setTarget_groupby_indices​(List<Integer> target_groupby_indices)

#### unsetTarget_groupby_indices

    public void unsetTarget_groupby_indices()

#### isSetTarget_groupby_indices

    public boolean isSetTarget_groupby_indices()

Returns true if field target_groupby_indices is set (has been assigned a value) and false otherwise

#### setTarget_groupby_indicesIsSet

    public void setTarget_groupby_indicesIsSet​(boolean value)

#### getCount_distinct_descriptorsSize

    public int getCount_distinct_descriptorsSize()

#### getCount_distinct_descriptorsIterator

    public Iterator<TCountDistinctDescriptor> getCount_distinct_descriptorsIterator()

#### addToCount_distinct_descriptors

    public void addToCount_distinct_descriptors​(TCountDistinctDescriptor elem)

#### getCount_distinct_descriptors

    public List<TCountDistinctDescriptor> getCount_distinct_descriptors()

#### setCount_distinct_descriptors

    public TResultSetBufferDescriptor setCount_distinct_descriptors​(List<TCountDistinctDescriptor> count_distinct_descriptors)

#### unsetCount_distinct_descriptors

    public void unsetCount_distinct_descriptors()

#### isSetCount_distinct_descriptors

    public boolean isSetCount_distinct_descriptors()

Returns true if field count_distinct_descriptors is set (has been assigned a value) and false otherwise

#### setCount_distinct_descriptorsIsSet

    public void setCount_distinct_descriptorsIsSet​(boolean value)

#### isForce_4byte_float

    public boolean isForce_4byte_float()

#### setForce_4byte_float

    public TResultSetBufferDescriptor setForce_4byte_float​(boolean force_4byte_float)

#### unsetForce_4byte_float

    public void unsetForce_4byte_float()

#### isSetForce_4byte_float

    public boolean isSetForce_4byte_float()

Returns true if field force_4byte_float is set (has been assigned a value) and false otherwise

#### setForce_4byte_floatIsSet

    public void setForce_4byte_floatIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TResultSetBufferDescriptor._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TResultSetBufferDescriptor,​TResultSetBufferDescriptor._Fields>`

#### getFieldValue

    public Object getFieldValue​(TResultSetBufferDescriptor._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TResultSetBufferDescriptor,​TResultSetBufferDescriptor._Fields>`

#### isSet

    public boolean isSet​(TResultSetBufferDescriptor._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TResultSetBufferDescriptor,​TResultSetBufferDescriptor._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TResultSetBufferDescriptor that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TResultSetBufferDescriptor other)

Specified by:
  `compareTo` in interface `Comparable<TResultSetBufferDescriptor>`

#### fieldForId

    public TResultSetBufferDescriptor._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TResultSetBufferDescriptor,​TResultSetBufferDescriptor._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`